[Gpg4win-commits] r1091 - in branches/gpg4win-1-branch: . patches patches/gnupg src

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Wed Feb 4 18:20:28 CET 2009


Author: werner
Date: 2009-02-04 18:20:28 +0100 (Wed, 04 Feb 2009)
New Revision: 1091

Added:
   branches/gpg4win-1-branch/patches/gnupg/
   branches/gpg4win-1-branch/patches/gnupg/01-version.patch.in
Modified:
   branches/gpg4win-1-branch/ChangeLog
   branches/gpg4win-1-branch/Makefile.am
   branches/gpg4win-1-branch/configure.ac
   branches/gpg4win-1-branch/src/gpg4win.mk.in
Log:
Add gpg4win specific version numbers.


Modified: branches/gpg4win-1-branch/ChangeLog
===================================================================
--- branches/gpg4win-1-branch/ChangeLog	2009-02-04 16:43:36 UTC (rev 1090)
+++ branches/gpg4win-1-branch/ChangeLog	2009-02-04 17:20:28 UTC (rev 1091)
@@ -1,11 +1,17 @@
 2009-02-04  Werner Koch  <wk at g10code.com>
 
+	* src/gpg4win.mk.in (SETVARS): Add new var PKGPBDIR.
+	(SPKG_template) <stamps/stamp-$(1)-01-patch>: Allow for patches
+	without the version name of the package.
+	(MPKG_template) <stamps/stamp-$(1)-01-patch>: Ditto.
+
 	* src/inst-gpa.nsi: Adjust for newer GPA.
 
 	* patches/gpgme-1.1.8/01-spawn-prototype.patch: New.
 	
 	* patches/gnupg-1.4.9/01-auto-key-locate.patch: New
 
+	* patches/gnupg/01-version.patch.in: New.
 	* patches/gnupg2/01-version.patch.in: New.
 	* configure.ac (AC_CONFIG_FILES): Patch the version of GnuPG.
 	(AC_CONFIG_COMMANDS): New.

Modified: branches/gpg4win-1-branch/Makefile.am
===================================================================
--- branches/gpg4win-1-branch/Makefile.am	2009-02-04 16:43:36 UTC (rev 1090)
+++ branches/gpg4win-1-branch/Makefile.am	2009-02-04 17:20:28 UTC (rev 1091)
@@ -52,6 +52,7 @@
 	patches/gpgme/01-gpg2.patch \
 	patches/gpgme/02-kleo-bugs-workaround.patch \
         patches/gnupg-1.4.9/01-auto-key-locate.patch \
+	patches/gnupg/01-version.patch.in \
 	patches/gnupg2/01-version.patch.in \
 	patches/gpgol-0.9.91/01-gpgme.patch \
         patches/scute-1.2.0/01-bugfixes.patch

Modified: branches/gpg4win-1-branch/configure.ac
===================================================================
--- branches/gpg4win-1-branch/configure.ac	2009-02-04 16:43:36 UTC (rev 1090)
+++ branches/gpg4win-1-branch/configure.ac	2009-02-04 17:20:28 UTC (rev 1091)
@@ -236,6 +236,7 @@
 
 # Finalize.
 AC_CONFIG_COMMANDS([gpg4win-conf],[[
+chmod +x patches/gnupg/01-version.patch
 chmod +x patches/gnupg2/01-version.patch
 ]])
 
@@ -246,5 +247,6 @@
 AC_CONFIG_FILES(doc/logo/Makefile)
 AC_CONFIG_FILES(doc/manual/Makefile doc/manual/version.tex)
 AC_CONFIG_FILES(doc/website/Makefile)
+AC_CONFIG_FILES(patches/gnupg/01-version.patch)
 AC_CONFIG_FILES(patches/gnupg2/01-version.patch)
 AC_OUTPUT

Added: branches/gpg4win-1-branch/patches/gnupg/01-version.patch.in
===================================================================
--- branches/gpg4win-1-branch/patches/gnupg/01-version.patch.in	2009-02-04 16:43:36 UTC (rev 1090)
+++ branches/gpg4win-1-branch/patches/gnupg/01-version.patch.in	2009-02-04 17:20:28 UTC (rev 1091)
@@ -0,0 +1,21 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+Make --version also print the version number of Gpg4win so that we 
+can see in bug reports what patches have been used.
+
+
+
+
+--- util/argparse.c~	2008-03-20 10:06:44.000000000 +0100
++++ util/argparse.c	2009-02-04 17:58:00.000000000 +0100
+@@ -845,7 +845,7 @@
+     fputs(strusage(11), stdout);
+     if( (s=strusage(12)) )
+ 	printf(" (%s)", s );
+-    printf(" %s\n", strusage(13) );
++    printf(" %s %s\n", strusage(13), "(Gpg4win @PACKAGE_VERSION@)");
+     /* additional version lines */
+     for(i=20; i < 30; i++ )
+ 	if( (s=strusage(i)) )


Property changes on: branches/gpg4win-1-branch/patches/gnupg/01-version.patch.in
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/gpg4win-1-branch/src/gpg4win.mk.in
===================================================================
--- branches/gpg4win-1-branch/src/gpg4win.mk.in	2009-02-04 16:43:36 UTC (rev 1090)
+++ branches/gpg4win-1-branch/src/gpg4win.mk.in	2009-02-04 17:20:28 UTC (rev 1091)
@@ -59,6 +59,7 @@
 	pkgsdir="$(bdir)/$$$${pkg_version}";				\
 	pkgbdir="$(bdir)/$$$${pkg_version}-build";			\
 	pkgpdir="$(pdir)/$$$${pkg_version}";				\
+	pkgpbdir="$(pdir)/$(1)";	          			\
 	pkgidir="$(ipdir)/$$$${pkg_version}";				\
 	pkg_dev="$(call GETVAR,gpg4win_pkg_$(1)_dev)";			\
 	pkg_version_dev="$(1)-dev-$(call GETVAR,gpg4win_pkg_$(1)_version)"; \
@@ -116,7 +117,7 @@
 stamps/stamp-$(1)-01-patch: stamps/stamp-$(1)-00-unpack
 	(shopt -s nullglob;				\
 	 $(call SETVARS,$(1));				\
-	 for pfile in "$$$${pkgpdir}"/*.patch ; do	\
+	 for pfile in "$$$${pkgpbdir}"/*.patch "$$$${pkgpdir}"/*.patch ; do  \
 	   (cd "$$$${pkgsdir}"; "$$$${pfile}")		\
 	 done)
 	touch stamps/stamp-$(1)-01-patch
@@ -184,7 +185,7 @@
 stamps/stamp-$(1)-01-patch: stamps/stamp-$(1)-00-unpack
 	(shopt -s nullglob;				\
 	 $(call SETVARS,$(1));				\
-	 for pfile in "$$$${pkgpdir}"/*.patch ; do	\
+	 for pfile in "$$$${pkgpbdir}"/*.patch "$$$${pkgpdir}"/*.patch ; do \
 	   (cd "$$$${pkgsdir}"; "$$$${pfile}")		\
 	 done)
 	touch stamps/stamp-$(1)-01-patch



More information about the Gpg4win-commits mailing list